import { ReactSDKClient } from './client';
import { LoggerFacade } from '@optimizely/optimizely-sdk/dist/modules/logging';
interface AutoUpdate {
    (optimizely: ReactSDKClient, type: 'Feature' | 'Experiment', value: string, logger: LoggerFacade, callback: () => void): () => void;
}
/**
 * Utility to setup listeners for changes to the datafile or user attributes and invoke the provided callback.
 * Returns an unListen function
 */
export declare const setupAutoUpdateListeners: AutoUpdate;
export {};
